Belune
Actions

Rebuild App

POST
/api/projects/{projectId}/applications/{applicationId}/rebuild
AuthorizationBearer <token>

Personal access token whose scope satisfies deploy — deploy or write qualify.

In: header

Path Parameters

projectId*string
Formatuuid
applicationId*string
Formatuuid

Response Body

application/json

application/json

curl -X POST "https://example.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/applications/497f6eca-6276-4993-bfeb-53cbbbba6f08/rebuild"
{  "application_id": "48ac72d0-a829-4896-a067-dcb1c2b0f30c",  "build_ended_at": "2019-08-24T14:15:22Z",  "build_logs": "string",  "build_started_at": "2019-08-24T14:15:22Z",  "commit_author": "string",  "commit_message": "string",  "commit_sha": "string",  "deploy_started_at": "2019-08-24T14:15:22Z",  "error_message": "string",  "finished_at": "2019-08-24T14:15:22Z",  "health_checked_at": "2019-08-24T14:15:22Z",  "health_message": "string",  "health_status": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "idempotency_key": "string",  "image_tag": "string",  "started_at": "2019-08-24T14:15:22Z",  "status": "string",  "triggered_by": "string"}